diff --git a/src/tests.c b/src/tests.c
index fa0befa..07d05d7 100644
--- a/src/tests.c
+++ b/src/tests.c
@@ -1084,6 +1084,7 @@ Z I testsBook()
   TC("that", _ssr["this";"is";"at"])
   TC("asdf", _ssr["gsdf";"g";,"a"])
   TC("asdf", _ssr["gsdf";"g";"a"])
+  TC("abcda", _ssr["abcda";"a";"e"])   //issue #302
 
   //Regressions
   TC(2, _2.5)
diff --git a/src/v.c b/src/v.c
index 3aa87ac..0a3f715 100644
--- a/src/v.c
+++ b/src/v.c
@@ -251,7 +251,7 @@ K at_ref(K *p, K b, K c, K y) // @[`a;0 1;+;10 20]
   if(0==bn && (-1==bt || 0==bt ||  5==pt || 6==pt)) R 0;//Identity TODO ????
   P(0==bn && bt <= 0,IE)
 
-  P(y && !atomI(b) && !atomI(y) && bn != yn, LE )
+  P(y && !atomI(b) && !atomI(y) && bn != yn, (K)0 )
 
   I n=(y && atomI(b))?yn:bn;
   I argc = y?2:1;
